QMAKE_CXXFLAGS_RELEASE = $$QMAKE_CFLAGS_RELEASE_WITH_DEBUGINFO
QMAKE_LFLAGS_RELEASE = $$QMAKE_LFLAGS_RELEASE_WITH_DEBUGINFO

QT       += core gui network sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
RC_ICONS = resources/icon.ico
# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    common.cpp \
    main.cpp \
    network/udpdatahandler.cpp \
    network/udpsocketworker.cpp \
    ui/countdownmessagebox.cpp \
    ui/settingwgt.cpp \
    ui/widget.cpp

HEADERS += \
    common.h \
    network/udpdatahandler.h \
    network/udpsocketworker.h \
    third_party/logger/EasySpdLog.h \
    third_party/nlohmann/json.hpp \
    third_party/nlohmann/json_fwd.hpp \
    ui/countdownmessagebox.h \
    ui/settingwgt.h \
    ui/widget.h \
    utils/interface.h

FORMS += \
    ui/settingwgt.ui \
    ui/widget.ui

INCLUDEPATH += ui/
INCLUDEPATH += third_party/
INCLUDEPATH += third_party/logger/

INCLUDEPATH += network/

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resources.qrc
