﻿#ifndef INTERFACE_H
#define INTERFACE_H
#include <QString>
#include <QMap>
enum ErrorCode
{
    NoError = 0,
    // SN相关错误
    SNEmptyError = 1,       // 产品SN为空
    SNLowerCaseError,       // 产品SN小写字母
    SNSpaceError,           // 产品SN包含空格
    SNFormatError,          // 产品SN格式错误
    // 数据库相关错误
    DatabaseOpenError,      // 打开数据库失败
    DatabaseReadError,      // 读取数据库失败
    DatabaseWriteError,     // 写入数据库失败
    DatabaseSelectError,    // 选择数据库失败
    DatabaseUnknownError,   // 未知数据库错误
    // 执行程序相关错误
    ExecIECSError,          // 执行IECS失败
};

enum Mode
{
    GLOBAL,
    LOCAL,
    GLOBALM2M,
    LOCALM2M,
};

struct ModeConfig
{
    int index;
    QString name;
    QString workPath;
    QString reworkPath;
};

struct ProductConfig
{
    int productId;
    Mode workMode;
    bool selected;
    QString productFormat;
};

#endif // INTERFACE_H
